diff --git a/Makefile b/Makefile
index c6de57e974c6ced1e63c7319990949951aa4a09e..027ed62b73a3ea8ddaa9e55cd4ff0a03de1d4315 100644
--- a/Makefile
+++ b/Makefile
@@ -58,7 +58,6 @@ doc:
 cleandoc:
 	@rm -rf doc
 
-
 install:
 	@./install.sh $(KERNEL) $(DEVICEINDEX)
 
diff --git a/install.sh b/install.sh
index 8781de8117963225a0df0d15e85c2065fc4e8c12..70a42b9622e203dd9304c8e39bcdb1bc26ac1069 100755
--- a/install.sh
+++ b/install.sh
@@ -76,6 +76,7 @@ fi
 
 echo "  installing startup script..."
 cp ethercat.sh /etc/init.d/ethercat || exit 1
+chmod +x /etc/init.d/ethercat || exit 1
 if [ ! -L /usr/sbin/rcethercat ]; then
     ln -s /etc/init.d/ethercat /usr/sbin/rcethercat || exit 1
 fi
@@ -84,6 +85,7 @@ fi
 
 echo "  installing tools..."
 cp tools/ec_list.pl /usr/local/bin/ec_list || exit 1
+chmod +x /usr/local/bin/ec_list || exit 1
 
 # Finish